Bug 859664 - NetworkManager cannot connect to WPA2-Enterprise
NetworkManager cannot connect to WPA2-Enterprise
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-22 21:02 EDT by Mukundan Ragavan
Modified: 2014-02-05 07:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:16:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (96.85 KB, application/octet-stream)
2012-10-05 23:42 EDT, Mukundan Ragavan
no flags Details
dmesg output (101.68 KB, text/plain)
2012-10-13 18:52 EDT, Mukundan Ragavan
no flags Details
/var/log/messages (401.34 KB, text/plain)
2012-10-13 18:52 EDT, Mukundan Ragavan
no flags Details

  None (edit)
Description Mukundan Ragavan 2012-09-22 21:02:00 EDT
Description of problem:
In a fresh installation of F18-Alpha, Network Manager is unable to connect to WPA2-Enterprise wireless connections.

Version-Release number of selected component (if applicable):

Network Manager - NetowrkManager-0.9.7.0-1.git20120820.fc18.x86_64

Wireless adapter details

Intel Wireless 5100 AGN
driver - iwlwifi
Driver version - 3.6.0-0.rc6.git0.2.fc18.x86_64


How reproducible:
Always


Steps to Reproduce:
1. Install some DE
2. Try to connect to wireless (WPA2-enterprise)
  
Actual results:
Does not connect/respond at all. Does not even show the configuration screen to enter username/password.

Expected results:
Show configuration screen and accept (correct) username - password combination and connect to the network.

Additional info:

I have not yet tried to connect to WPA-Personal (at home). I will add comment here when I have tried that.
Comment 1 Jirka Klimes 2012-10-05 13:47:04 EDT
Has it worked for you in a previous versions?

Could you please grab /var/log/message file for us and 'dmesg' output as well?
Comment 2 Mukundan Ragavan 2012-10-05 23:39:54 EDT
Hi Jirka,

(In reply to comment #1)
> Has it worked for you in a previous versions?

I have not tried the previous versions on bare metal. The above mentioned version was the first installation on bare metal.
 
> Could you please grab /var/log/message file for us and 'dmesg' output as
> well?

I have attached dmesg output. I will attach the log file when I try to connect to WPA2-Enterprise tomorrow.

Just for information - WPA2-Personal connects without problem with the same version of Network Manager.
Comment 3 Mukundan Ragavan 2012-10-05 23:39:54 EDT
Hi Jirka,

(In reply to comment #1)
> Has it worked for you in a previous versions?

I have not tried the previous versions on bare metal. The above mentioned version was the first installation on bare metal.
 
> Could you please grab /var/log/message file for us and 'dmesg' output as
> well?

I have attached dmesg output. I will attach the log file when I try to connect to WPA2-Enterprise tomorrow.

Just for information - WPA2-Personal connects without problem with the same version of Network Manager.
Comment 4 Mukundan Ragavan 2012-10-05 23:42:15 EDT
Created attachment 622590 [details]
dmesg output
Comment 5 Mukundan Ragavan 2012-10-06 11:09:52 EDT
I reinstalled with F18 beta TC2, WPA2-enterprise connects fine. I do not what changed because the NetworkManager version is the same as in F18 Alpha.

I tried GNOME and XFCE using alpha and did the same thing now. It connects fine now.
Comment 6 Jirka Klimes 2012-10-11 07:40:18 EDT
Closing then, feel free to reopen should you encounter the problem again.
Comment 7 Mukundan Ragavan 2012-10-13 18:51:07 EDT
Reopening the bug.

I am seeing the same problem in a fresh installation using F18-Beta-TC3 netinstall image. Could not connect to WPA2-Enterprise.

Installation was done on to a hard disk that was partitioned using anaconda and installed only GNOME-Desktop.

I have attached dmesg output and /var/log/messages.
Comment 8 Mukundan Ragavan 2012-10-13 18:52:15 EDT
Created attachment 626699 [details]
dmesg output
Comment 9 Mukundan Ragavan 2012-10-13 18:52:36 EDT
Created attachment 626700 [details]
/var/log/messages
Comment 10 Jirka Klimes 2012-10-15 10:16:33 EDT
Hmm, I don't see any WPA-Enterprise relevant logs.
Would you run in a terminal:
# tail -f /var/log/messages

and then try to connect to the Enterprise network and copy the log messages spit on the terminal.

What I see in the logs is gdm crash:
Oct 13 14:34:16 localhost gdm[1105]: ******************* START **********************************
Oct 13 14:34:17 localhost gdm[1105]: [New LWP 1079]
Oct 13 14:34:17 localhost gdm[1105]: [Thread debugging using libthread_db enabled]
....

Consider to file that against gdm.
Comment 11 Felix Kaechele 2012-10-16 03:57:16 EDT
Same problem here.

Clicking on a WPA2-Enterprise Network in the nm-applet opens the GNOME control center network pane. When trying to click on a WPA2-Enterprise network nothing happens.

Unfortunately nothing is written to the logs. So I assume this might be an UI error from within GNOME Control Center that prevents NM from doing anything because it can't be triggered by the GNOME UI.
Comment 12 Felix Kaechele 2012-10-17 02:41:40 EDT
Creating the necessary ifcfg files on a Fedora 17 machine and copying them to the F18 machine works and the connection can be established. So I guess this supports my UI Bug theory ;)
Comment 13 Jirka Klimes 2012-10-17 04:04:20 EDT
Felix, thanks for investigating.
Any chance you could verify that the UI (I think control-center and/or gnome-shell applet) doesn't create ifcfg nor instructs NM to connect (you would see the logs in /var/log/messages).
And if there's a problem please file a bug against corresponding UI.
Thanks.
Comment 14 Fedora End Of Life 2013-12-21 03:55:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 07:16:24 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.